]> git.sesse.net Git - ffmpeg/blobdiff - configure
debug: tell how much bits are skipped with unknown nal code
[ffmpeg] / configure
index 6856c96afda8d1ad74e2dcf3a430dc3ef6de78ee..e5133caf680987c7cd5f0fdb0cdda4bfbd463a4d 100755 (executable)
--- a/configure
+++ b/configure
@@ -133,6 +133,7 @@ show_help(){
   echo "  --disable-debug          disable debugging symbols"
   echo "  --disable-mpegaudio-hp   faster (but less accurate)"
   echo "                           MPEG audio decoding [default=no]"
+  echo "  --enable-gray            enable full grayscale support (slower color)"
   echo "  --disable-ffmpeg         disable ffmpeg build"
   echo "  --disable-ffserver       disable ffserver build"
   echo "  --disable-ffplay         disable ffplay build"
@@ -567,24 +568,23 @@ apply(){
 }
 
 CONFIG_LIST='
-    encoders
-    decoders
-    parsers
-    bsfs
-    muxers
-    demuxers
     audio_beos
     audio_oss
     avisynth
     beos_netserver
     bktr
+    bsfs
     dc1394
+    decoders
+    demuxers
     dv1394
+    encoders
     ffmpeg
     ffplay
     ffserver
     gpl
     gprof
+    gray
     ipv6
     liba52
     liba52bin
@@ -604,7 +604,9 @@ CONFIG_LIST='
     libxvid
     memalign_hack
     mpegaudio_hp
+    muxers
     network
+    parsers
     powerpc_perf
     pp
     protocols
@@ -657,6 +659,7 @@ HAVE_LIST="
     altivec_h
     arpa_inet_h
     byteswap_h
+    closesocket
     cmov
     conio_h
     dcbzl
@@ -693,6 +696,7 @@ HAVE_LIST="
     sys_soundcard_h
     termios_h
     threads
+    winsock2_h
 "
 
 CMDLINE_SELECT="
@@ -717,6 +721,7 @@ mmx_deps="x86"
 ssse3_deps="x86"
 
 # decoders / encoders
+ac3_decoder_deps="gpl"
 dxa_decoder_deps="zlib"
 flashsv_decoder_deps="zlib"
 flashsv_encoder_deps="zlib"
@@ -818,8 +823,6 @@ mandir='$(PREFIX)/man'
 bindir='$(PREFIX)/bin'
 
 # toolchain
-cross_prefix=""
-cross_compile="no"
 cc="gcc"
 ar="ar"
 ranlib="ranlib"
@@ -850,11 +853,8 @@ dostrip="yes"
 ffmpeg="yes"
 ffplay="yes"
 ffserver="yes"
-gpl="no"
 ipv6="yes"
-shared="no"
 static="yes"
-memalign_hack="no"
 mpegaudio_hp="yes"
 network="yes"
 optimize="yes"
@@ -864,8 +864,6 @@ vhook="default"
 # build settings
 SHFLAGS='-shared -Wl,-soname,$@'
 VHOOKSHFLAGS='$(SHFLAGS)'
-LIBOBJFLAGS=""
-FFLDFLAGS=
 LDLATEFLAGS='-Wl,-rpath-link,\$(BUILD_ROOT)/libavcodec -Wl,-rpath-link,\$(BUILD_ROOT)/libavformat -Wl,-rpath-link,\$(BUILD_ROOT)/libavutil'
 FFSERVERLDFLAGS=-Wl,-E
 LDCONFIG="ldconfig"
@@ -877,8 +875,6 @@ SLIBSUF=".so"
 SLIBNAME='$(SLIBPREF)$(NAME)$(SLIBSUF)'
 SLIBNAME_WITH_VERSION='$(SLIBNAME).$(LIBVERSION)'
 SLIBNAME_WITH_MAJOR='$(SLIBNAME).$(LIBMAJOR)'
-EXESUF=""
-BUILDSUF=""
 LIB_INSTALL_EXTRA_CMD='$(RANLIB) "$(LIBDIR)/$(LIB)"'
 
 # find source path
@@ -1116,7 +1112,6 @@ case $targetos in
     fi ;;
   sunos)
     dv1394="no"
-    FFLDFLAGS=""
     FFSERVERLDFLAGS=""
     SHFLAGS="-shared -Wl,-h,\$@"
     add_extralibs "-lsocket -lnsl"
@@ -1231,7 +1226,7 @@ ranlib="${cross_prefix}${ranlib}"
 strip="${cross_prefix}${strip}"
 
 # we need to build at least one lib type
-if disabled_all static shared; then
+if ! enabled_any static shared; then
     cat <<EOF
 At least one library type must be built.
 Specify --enable-static to build the static libraries or --enable-shared to
@@ -1241,7 +1236,11 @@ EOF
     exit 1;
 fi
 
-if disabled libogg; then
+if disabled static; then
+    LIB=""
+fi
+
+if ! enabled libogg; then
     enabled libtheora && die "libogg must be enabled to enable libtheora."
     enabled libvorbis && die "libogg must be enabled to enable libvorbis."
 fi
@@ -1262,7 +1261,7 @@ EOF
 fi
 
 
-if disabled gpl ; then
+if ! enabled gpl; then
     die_gpl_disabled(){
         name=$1
         shift
@@ -1398,7 +1397,7 @@ int main(){
 EOF
 if test "$?" != 0; then
     echo "$cc is unable to create an executable file."
-    if test -z "$cross_prefix" && disabled cross_compile ; then
+    if test -z "$cross_prefix" && ! enabled cross_compile ; then
         echo "If $cc is a cross-compiler, use the --cross-compile option."
         echo "Only do this if you know what cross compiling means."
     fi
@@ -1504,7 +1503,7 @@ EOF
 
 # ---
 # big/little-endian test
-if disabled cross_compile; then
+if ! enabled cross_compile; then
     check_ld <<EOF || die "endian test failed" && $TMPE && bigendian="yes"
 #include <inttypes.h>
 int main(int argc, char ** argv){
@@ -1525,7 +1524,7 @@ fi
 check_header malloc.h
 check_func memalign
 
-if disabled_all memalign memalign_hack && enabled need_memalign ; then
+if ! enabled_any memalign memalign_hack && enabled need_memalign ; then
     die "Error, no memalign() but SSE enabled, disable it or use --enable-memalign-hack."
 fi
 
@@ -1537,6 +1536,7 @@ check_header termios.h
 check_header conio.h
 
 check_header arpa/inet.h
+check_header winsock2.h
 
 check_func inet_aton
 enabled zlib && check_lib zlib.h zlibVersion -lz || zlib="no"
@@ -1600,6 +1600,9 @@ enabled libfaac    && require2 libfaac "stdint.h faac.h" faacEncGetVersion -lfaa
 enabled libfaad    && require2 libfaad faad.h faacDecOpen -lfaad
 enabled avisynth   && require2 vfw32 "windows.h vfw.h" AVIFileInit -lvfw32
 
+# disable the native AC-3 decoder if liba52 is enabled
+enabled liba52 && disable ac3_decoder
+
 _restrict=
 for restrict_keyword in restrict __restrict__ __restrict; do
     check_cc <<EOF && _restrict=$restrict_keyword && break
@@ -1621,6 +1624,7 @@ check_func getrusage
 check_func2 windows.h GetProcessTimes
 
 check_func fork
+check_func closesocket
 
 test "$vhook" = "default" && vhook="$dlopen"
 
@@ -1858,7 +1862,7 @@ echo "libvorbis enabled         ${libvorbis-no}"
 echo "x264 enabled              ${libx264-no}"
 echo "XviD enabled              ${libxvid-no}"
 echo "zlib enabled              ${zlib-no}"
-if disabled gpl; then
+if ! enabled gpl; then
     echo "License: LGPL"
 else
     echo "License: GPL"
@@ -1900,11 +1904,7 @@ echo "BUILD_STATIC=$static" >> config.mak
 echo "BUILDSUF=$BUILDSUF" >> config.mak
 echo "LIBPREF=$LIBPREF" >> config.mak
 echo "LIBSUF=\${BUILDSUF}$LIBSUF" >> config.mak
-if enabled static; then
-  echo "LIB=$LIB" >> config.mak
-else # Some Make complain if this variable does not exist.
-  echo "LIB=" >> config.mak
-fi
+echo "LIB=$LIB" >> config.mak
 echo "SLIBPREF=$SLIBPREF" >> config.mak
 echo "SLIBSUF=\${BUILDSUF}$SLIBSUF" >> config.mak
 echo "EXESUF=\${BUILDSUF}$EXESUF" >> config.mak